
QGIS Application - Feature request #6203

Should allow adding symbol layers in new symbology dialogue even when an existing symbol layer 

is selected

2012-08-16 02:29 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15516

Description

The new symbology dialogue can show a tree of hierarchically alternating "Symbols" and "Symbol layers".  Each symbol can contain

multiple symbol layers.

When a "symbol" is selected (as shown in the attached "+enabled.PNG"), the + button (circled) is enabled, to allow the user to add a child

symbol layer.

When a "symbol layer" is selected (as shown in the attached "+disabled.PNG"), the + button (circled) is disabled.  It would be more

efficient if the + button was always enabled, and if it is clicked when a "symbol layer" is selected then another "symbol layer" will be added

to the same parent "symbol".  This would mean that when you add a number of "symbol layers" to the same "symbol" you wouldn't have to

click on the "symbol" each time to activate the + button.  This would also be consistent with the way a map layer can be added even when

another layer is selected in the TOC, not just when a layer "group" is selected ;)

History

#1 - 2012-08-16 02:31 AM - Giovanni Manghi

- Status changed from Open to Feedback

shouldn't this ticket be filed under "symbology" instead of "GUI"?

#2 - 2012-08-16 09:29 AM - Giovanni Manghi

- Operating System deleted (All)

- Category changed from GUI to Symbology

- Status changed from Feedback to Open

- Target version set to Version 2.0.0

#3 - 2012-08-16 03:53 PM - Alister Hood

Hi, could you please clarify a couple of things for me, so I can hopefully do a better job when reporting future tickets?

Giovanni Manghi wrote:

shouldn't this ticket be filed under "symbology" instead of "GUI"?

1) I tend to assign things to GUI if they just relate to the way the gui looks or works, not to the underlying functionality that the gui is controlling.  Are you

saying this should be assigned to symbology simply because it relates to the gui for symbology, or specifically because it relates to code that lives in

src\\core\\symbology or something like that?
2) I see you deleted "All" from the platform field.  I presume this doesn't mean the + button is already enabled on some platforms, rather that the field should

be left blank if it applies to all platforms.  Should we edit https://issues.qgis.org/wiki/quantum-gis/Bugreports to say to leave the field blank if a ticket applies

to all platforms?

#4 - 2012-08-17 02:08 AM - Giovanni Manghi

Alister Hood wrote:

Hi, could you please clarify a couple of things for me, so I can hopefully do a better job when reporting future tickets?

Giovanni Manghi wrote:

shouldn't this ticket be filed under "symbology" instead of "GUI"?

1) I tend to things to GUI if they just relate to the way the gui looks or works, not to the underlying functionality that the gui is controlling.  Are you

saying this should be assigned to symbology simply because it relates to the gui for symbology, or specifically because it relates to code that lives in

src\\core\\symbology or something like that?

no, you are right. As I need to keep the tracker as clean as possible and with the tickets correctly filled sometimes I made mistakes. Yesterday was tough

day, as many tickets where filed.

2) I see you deleted "All" from the platform field.  I presume this doesn't mean the + button is already enabled on some platforms, rather that the field

should be left blank if it applies to all platforms.  Should we edit https://issues.qgis.org/wiki/quantum-gis/Bugreports to say to leave the field blank if a

ticket applies to all platforms?

I delete "all" in the cases I assume that the reporter hasn't tested the issue on the 3 most common platforms. I usually test the issues on two platforms (linux

and windows) so I delete a specific platform when I confirm the issue on those two systems. Sometimes I have a Mac user near me, so when I can confirm

the issue on all 3 OSes I usually add "all".

#5 - 2012-08-17 09:19 PM - Alister Hood

- Category changed from Symbology to GUI

#6 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2015-11-10 05:23 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

What is described in the feature request is now implemented (tests made on QGIS 2.13 master). Whenever you add (with the + button) a symbol layer on a

symbol layer, the new symbol layer is linked on the parent symbol marker and displayed above the selected symbol layer of this marker.

I am closing this feature request...
Files

_disabled.PNG 7.11 KB 2012-08-16 Alister Hood

_enabled.PNG 6.47 KB 2012-08-16 Alister Hood
